##
##  sgml.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         sgml
Summary:      SGML DTD Framework
URL:          http://www.sgml.com/
Vendor:       Unknown
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        XML
License:      PD
Version:      0
Release:      20080101

#   list of sources
Source0:      mkcatalog
Source1:      sgmlcatalog
Source2:      catalog2xml

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, bash
PreReq:       OpenPKG, openpkg >= 20160101, bash, sed

%description
    This is a meta-package which provides a useful mini-framework for
    managing SGML/XML DTDs.

%track

%prep

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/share/sgml \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/sgml
    %{l_shtool} install -c -m 644 \
        /dev/null $RPM_BUILD_ROOT%{l_prefix}/share/sgml/catalog
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE mkcatalog} \
        %{SOURCE catalog2xml} \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/sgml/
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE sgmlcatalog} $RPM_BUILD_ROOT%{l_prefix}/bin/
    PREFIX=$RPM_BUILD_ROOT%{l_prefix} $RPM_BUILD_ROOT%{l_prefix}/bin/sgmlcatalog
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/share/sgml/catalog' \
        '%config %{l_prefix}/share/sgml/catalog.xml'

%files -f files

%clean

%preun
    if [ $1 -eq 0 ]; then
        rm -f $RPM_INSTALL_PREFIX/share/sgml/catalog
        rm -f $RPM_INSTALL_PREFIX/share/sgml/catalog.xml
    fi

